%define name gtk-engines-extra
%define FONTDIR /usr/X11R6/lib/X11/fonts/misc
%define prefix /usr
%define ver 0.10
%define rel 1

Name: %{name}
Version: %{ver}
Release: %{rel}
Summary: Extra themes and engines for GTK+ toolkit
Group: System Environment/Libraries
Source0: gtk-engines-extra-%{ver}.tar.gz
Copyright: GPL
Distribution: RedHat 5.2
Docdir: %{prefix}/doc
Buildroot: /var/tmp/%{name}
Packager: Constantine Gavrilov <const-g@xpert.com>
Url: http://gtk.themes.org/
Requires: gtk-engines

%description
This package contains extra engines and themes for GTK+ toolkit. Included are
all themes which were available from http://gtk.themes.org/ on Feb. 26, 2000.
(Duplicate themes and themes already integrated into GNOME were ignored).

%prep
%setup

%build

%install
#This function build file list
build_file_list()
{
 find $1 -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,'
 find $1 -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/etc\//s|^|%config|'
 find $1 -type l | sed 's,^\.,\%attr(-\,root\,root) ,'
}
rm -rf $RPM_BUILD_ROOT
make install prefix=%{prefix} INSTALL_ROOT=$RPM_BUILD_ROOT \
	FONTDIR=%{FONTDIR} #INSTFLAG="-n"
#You can uncomment INSTFLAG="-n" to disable sanity checks and force relocation

cd $RPM_BUILD_ROOT
build_file_list ./ > $RPM_BUILD_DIR/file.list-%{name}
echo '%doc GET_THEMES INSTALL INSTALL.RPM README get_themes.sh' >> \
	$RPM_BUILD_DIR/file.list-%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{ver}
rm -f $RPM_BUILD_DIR/file.list-%{name}

%post
cd %{FONTDIR} && mkfontdir

%postun
cd %{FONTDIR} && mkfontdir 

%files -f ../file.list-%{name}

%changelog
* Sat Feb 19 2000 Constantine Gavrilov <const-g@xpert.com>
- updated themes
- updated and enhanced get_themes.sh script

* Mon Sep 27 1999 Constantine Gavrilov <const-g@orbotech.com>
- rgrep is not needed during install; find + grep is used instead
- change default installation paths to reflect most common gnome installations
- new snapshot of themes (Sep 27 1999)
- documentation included
- get_themes.sh script to download themes from gtk.themes.org
- Makefile and install script are included; not RPM based distributions can
  also install
